CommandLineFortranCompiler (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.compiler.CommandLineFortranCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.compiler
Class CommandLineFortranCompiler

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
              net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
                  net.sf.antcontrib.cpptasks.compiler.CommandLineFortranCompiler

All Implemented Interfaces:
  java.lang.Cloneable, Compiler, Processor

Direct Known Subclasses:
  CompaqVisualFortranCompiler

    public abstract class CommandLineFortranCompiler

extends CommandLineCompiler

An abstract Compiler implementation which uses an external program to perform the compile.

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Constructor Summary
`protected` | `CommandLineFortranCompiler(java.lang.String command, java.lang.String identifierArg, java.lang.String[] sourceExtensions, java.lang.String[] headerExtensions, java.lang.String outputSuffix, boolean libtool, CommandLineFortranCompiler libtoolCompiler, boolean newEnvironment, org.apache.tools.ant.types.Environment env)`

Method Summary
`protected Parser` | `createParser(java.io.File source)`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineCompiler
`addImpliedArgs, addIncludes, addWarningSwitch, buildDefineArguments, compile, createConfiguration, getArgumentCountPerInputFile, getCommand, getDefineSwitch, getEnvironmentIncludePath, getIdentifier, getIncludeDirSwitch, getInputFileArgument, getLibtool, getLibtoolCompiler, getMaximumCommandLength, getMaximumInputFilesPerCommand, getTotalArgumentLengthForInputFile, getUndefineSwitch, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractCompiler
`canParse, createConfiguration, getBaseOutputName, getOutputFileNames, parseIncludes, resolveInclude`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`bid, changeEnvironment, clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.cpptasks.compiler.Processor
`bid, changeEnvironment, getLinker`

Constructor Detail

### CommandLineFortranCompiler

    protected CommandLineFortranCompiler(java.lang.String command,
                                         java.lang.String identifierArg,
                                         java.lang.String[] sourceExtensions,
                                         java.lang.String[] headerExtensions,
                                         java.lang.String outputSuffix,
                                         boolean libtool,
                                         CommandLineFortranCompiler libtoolCompiler,
                                         boolean newEnvironment,
                                         org.apache.tools.ant.types.Environment env)

Method Detail

### createParser

    protected Parser createParser(java.io.File source)

  Specified by:
    `createParser` in class `AbstractCompiler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.